html * {
    font-family: Verdana, Arial, Helvetica, sans-serif !important;
}

	
[hidden] {
display: none !important;
}
/* Section for CSS styles for log-in pages*/
.login-body{
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    padding:5%;
}

.user-login-background{     
    background-image: url("../images/login-bg.png");
}

.login-body .login-div
{
    display: inline-block;
    position: relative;
    margin: auto;
    width: 100%;
    min-height: fit-content;
    background: rgba(255,255,255,0.7);
    border-style: solid;
    border-color: black;
    border-width: 3%;
    border-radius: 5%;
    text-align: center;
}

.login-body .login-div h1, a{
    display: block;
    margin-left: auto;
    margin-top: 2%;
    min-width: 50%;
    text-align: center;
    font-weight: bold;
}

.login-body .login-div label{
    display: inline-block;
    min-width: 10%;
    margin-right: auto;
    margin-top: 1%;
    font-size: 1.5em;
}

.login-body .login-div .text-input{
    display: inline-block;
    position: relative;
    margin-top: 1%;
    min-width: 80%;
    font-size: 1.5em;
}

.login-body .login-div .select-input{
    display: inline-block;
    position: relative;
    margin-top: 1%;
    min-width: 6%;
    font-size: 1.5em;
}

.login-body .login-div .submit{
    display: inline-block;
    position: relative;
    margin-left: auto;
    margin-top: 1%;
    min-width: 50%;
    max-width: 70%;
    font-size: 1.5em;
}

.login-body .login-div .login-database-logo{
    display: block;
    margin-left: auto;
    margin-right: auto;
    margin-top: 1%;
    position: relative;
    width: 50%;
    text-align: center;
}

/* CSS style for the standard navbars */

.standard-navbar{
    position: sticky;
    display: grid;
    grid-template-columns: repeat(9, 1fr);
    top:0;
    left: 0;
    background-color: darkred;
    height: 5%;
    width: 100%;
    align-items: center;
}

.standard-toplevel-navbar{
	grid-template-areas: 'image vehicle-database-dropdown registry-database-dropdown vehicle-input-dropdown registry-input-dropdown  accounts-dropdown . . . user-dropdown';
}

.standard-navbar .anchor-wrapper{
	display: inline-block;
	width: 100%;
	height: 100%;
	margin: 0;
	align-items: center;
	justify-content: center;
}

.standard-navbar #image-wrapper
{
    grid-area: image;
    max-width: 10vw;
    margin: auto;
}

.standard-navbar #navbar-image img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.standard-navbar .dropdown{
    position: relative;
    display: inline-block;
    width: 100%;
    height: 100%;
    margin: 0;
}

.standard-navbar .dropdown button
{
    display: inline-block;
    position: relative;
    width: 100%;
    height: 100%;
    font-weight: bold;
    font-size: medium;
    align-items: center;
    justify-content: center;
    background-color: darkred;
    border: none;
    color: white;
    margin: 0;
}

.standard-navbar .dropdown button:hover{
    background-color: crimson;
}

.standard-navbar #input-dropdown
{
	grid-area: input-dropdown;
}

.standard-navbar #accounts-dropdown
{
	grid-area: accounts-dropdown;
}

.standard-navbar #database-dropdown
{
	grid-area: database-dropdown;
}

.standard-navbar #faq-dropdown
{
	grid-area: faq-dropdown;
}

.standard-navbar #user-dropdown
{
	grid-area: user-dropdown;
}

.standard-navbar .dropdown-content
{
    display: none;
    position: absolute;
    background-color: gray;
    width: 100%;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
}

.standard-navbar .dropdown-content a{
    float: none;
    color: black;
    border-color: black;
    border-width: 2%;
    border-style: solid;
    padding: 3%;
    text-decoration: none;
    display: block;
    text-align: center;
}

.standard-navbar .dropdown-content a:hover{
    background-color: lightgray;
}

.standard-navbar .dropdown:hover .dropdown-content{
    display: block;
}

/* css elements for ads*/
.div-ads{
    display: none;
    min-width: fit-content;
    min-height: 5%;
    background-color: crimson;
    border-style: solid;
    border-color: black;
    border-width: 5%;
    border-radius: 1%;
    padding: 2%;
}

/* css elements for main body elements */
.div-mainbody{
    display: block;
    width: 90%;
    min-height: 5%;
    margin: auto;
}

.div-mainbody h1, p{
    display: block;
    width: 100%;
    margin: auto;
    text-align: center;
}

.div-mainbody img{
	display: block;
	width: 720p;
	margin: auto;
}

.div-mainbody table{
	width: 100%;
	border-collapse: collapse;
	text-wrap-mode: wrap;
	word-wrap: break-mode;
	text-align: center;
	font-size: 1em;
	margin: 0 auto;
}

.div-mainbody th{
	background-color: maroon;
	color: white;
	border-style: solid;
	border-color: black;
	border-width: 1px;
	font-weight: bold;
	padding: 1%;
	text-align: center;
	margin: 0 auto;
}

.div-mainbody td{
	border-style: solid;
	border-color: black;
	border-width: 1px;
	padding: 1%;
	text-align: center;
	margin: 0 auto;
}

.div-mainbody .result-emphasize{
	font-weight: bold;
}

.div-mainbody-content{
    display: inline-block;
    width: 100%;
    min-height: fit-content;
    border-style: solid;
    border-color: black;
    text-align: center;
    margin-top: 2%;
    border-width: 2%;
}

.div-mainbody-content a{
    display: inline-block;
    background-color: red;
    color: white;
    text-decoration: none;
    border-style: solid;
    border-color: black;
    border-width: 1%;
    width: fit-content;
    margin:auto;
    padding: 1%;
}

.div-mainbody-content table{
	width: 70%;
	table-layout: fixed;
	border-collapse: collapse;
	text-wrap-mode: wrap;
	word-wrap: break-mode;
	text-align: center;
	font-size: 1em;
	margin: 0 auto;
}

.div-mainbody-content-inputs{
    display: inline-block;
    width: 100%;
    min-height: fit-content;
    border-style: solid;
    border-color: black;
    text-align: left;
    margin-top: 2%;
    border-width: 2%;
}

.div-mainbody-content-inputs form{
    margin-left: 2%;
    margin-right: 2%;
    font-size: 1.5em;
}

.div-mainbody-content-inputs legend{
    font-size: larger;
    font-weight: bold;
}


.div-mainbody-content-inputs .submit{
    display: block;
    width: 30%;
    font-size: 1em;
    text-align: center;
    margin: auto;
}

.div-fieldset-content
{
	display: flex;
	flex-direction: row;
	width: 100%;
	height: fit-content;
	justify-content: flex-start;
	align-items: start;
	margin-top: 1%;
	margin-bottom: 2%;

}

.div-fieldset-content .label-column
{
	min-width: 20%;
	margin-left: 2%;
}


.div-fieldset-content .label-column label{
    width: 100%;
}

.div-fieldset-content .label-column p
{
	width: 100%;
	text-align: left;
	
}

.div-fieldset-content .input-column
{
	width: 70%;
	margin-left: 10%
}


.div-fieldset-content .input-column .select-input{
    width: 100%;
}

.div-fieldset-content .input-column .text-input{
    display: inline-block;
    width: 100%;
    font-size: 1em;
}

.div-fieldset-content .input-column .file-input{
    display: inline-block;
    width: 100%;
    font-size: 1em;
}

.div-fieldset-content .input-column .textarea-input{
	display: inline-block;
    width: 100%;
    height: 10%;
    font-size: 1em;
    resize: none;
}

.div-fieldset-content .input-column .text-input:invalid{
    border-color: red;
}

.div-fieldset-content .input-column p{
	display: inline-block;
    text-align: left;
    text-wrap-mode: wrap;
    word-wrap: break-word;
    font-size: smaller;
}

.div-fieldset-content .input-column .errormessage{
    display: none;
    text-align: left;
    text-wrap-mode: wrap;
    font-size: smaller;
    color: red;
}

.div-fieldset-content .input-column select{
    display: inline-block;
    width: 100%;
    font-size: 1em;
}

.div-fieldset-content .input-column button{
    display: inline-block;
    min-width: 30%;
    max-width: 50%;
    font-size: 1em;
    text-align: center;
}

.div-mainbody-content-right{
    border-radius: 10% 0% 0% 10%;
}

.div-mainbody-content-left{
    border-radius: 0% 10% 10% 0%;
}

/* css elements for server messages that will pop up on different situations */
.servermessage
{
    display: block;
    font-size: medium;
    font-weight: bold;
    padding: 1%;
    text-align: center;
}

.servererrormessage
{
    background-color: red;
    color: white;
}

.serverwarningmessage
{
    background-color: #e66100;
    color: black;
}

.serverokmessage
{
    background-color: green;
    color: white;
}

#database-intro{
    background-image: linear-gradient(to right, rgba(255,255,0, 0.8) 0 100%), url("../images/img1.jpg");
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}

#faq-intro{
    background-image: linear-gradient(to right, rgba(0, 255, 0, 0.8) 0 100%), url("../images/img2.jpg");
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}

.footer{
    display: block;
    width: 100%;
    bottom: 0;
    margin:auto;
    text-align: center;
	background-color: maroon;
	color: white;
}

